aboutsummaryrefslogtreecommitdiffstats
path: root/opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe
diff options
context:
space:
mode:
Diffstat (limited to 'opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe')
-rw-r--r--opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe37
1 files changed, 37 insertions, 0 deletions
diff --git a/opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe b/opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe
index e69de29bb2..c4439c031e 100644
--- a/opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe
+++ b/opie-autorotateapplet/opie-autorotateapplet_1.1.7.oe
@@ -0,0 +1,37 @@
+DESCRIPTION = "Applet to disable the automatic screen rotation on Zaurus C-models"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+MAINTAINER = "Team Opie <opie@handhelds.org>"
+LICENSE = "GPL"
+
+APPNAME = "autorotateapplet"
+
+TAG = "${@'v' + oe.data.getVar('PV',d,1).replace('.', '_')}"
+SRC_URI = "${HANDHELDS_CVS};tag=${TAG};module=opie/noncore/applets/autorotateapplet \
+ ${HANDHELDS_CVS};tag=${TAG};module=opie/pics"
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadApplets()"
+}
+
+# FILES plugins/applets/libautorotateapplet.so* pics/autorotate/*.png
+do_install() {
+ install -d ${D}${palmtopdir}/pics/autorotate/
+ install -m 0655 ${WORKDIR}/pics/autorotate/*.png ${D}${palmtopdir}/pics/autorotate/
+}